Skip to content

Get Memberships

Request

This endpoint retrieves all team memberships for the currently authenticated user.

It returns a list of MembershipInfo objects, each detailing a team and the user's role within it.

Security
CodeBearer
curl -i -X GET \
  https://api.business.jiko.io/api/v1/user/memberships/ \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
Array [
team_idstring, (uuid)(Team Id)required
member_idstring, (uuid)(Member Id)required
customer_namestring(Customer Name)required
is_currentboolean(Is Current)required
last_loginstring or null(Last Login)
Any of:
string (date-time)
rolestring(Role)required
Enum:"ADMINISTRATOR""MAKER""CHECKER""VIEWER""USER_ADMINISTRATOR"
partner_idstring or null(Partner Id)
Any of:
string (uuid)
]
Response
[ { "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "member_id": "435a4844-006a-4cfc-a644-e8eb2dd2ca43", "customer_name": "string", "is_current": true, "last_login": "2019-08-24T14:15:22Z", "role": "ADMINISTRATOR", "partner_id": "6a3a39f6-861b-4a48-b868-5de838400e06" } ]